package net.northking.cctp.designer.ws;

import net.northking.cctp.designer.ws.client.EngineWsClient;
import net.northking.cctp.designer.ws.client.RobotWsClient;
import net.northking.cctp.designer.ws.server.FrontDatasWebsocket;

public class WsManyWaysBo {
    private String sessionId;
    private FrontDatasWebsocket frontDatasWebsocket;
    private EngineWsClient engineWsClient;
    private RobotWsClient robotWsClient;

    public String getSessionId() {
        return sessionId;
    }

    public void setSessionId(String sessionId) {
        this.sessionId = sessionId;
    }

    public FrontDatasWebsocket getFrontDatasWebsocket() {
        return frontDatasWebsocket;
    }

    public void setFrontDatasWebsocket(FrontDatasWebsocket frontDatasWebsocket) {
        this.frontDatasWebsocket = frontDatasWebsocket;
    }

    public EngineWsClient getEngineWsClient() {
        return engineWsClient;
    }

    public void setEngineWsClient(EngineWsClient engineWsClient) {
        this.engineWsClient = engineWsClient;
    }

    public RobotWsClient getRobotWsClient() {
        return robotWsClient;
    }

    public void setRobotWsClient(RobotWsClient robotWsClient) {
        this.robotWsClient = robotWsClient;
    }
}
